Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 563098 (CVE-2015-6755) - <www-client/chromium-46.0.2490.71: multiple vulnerabilities (CVE-2015-{6755,6756,6757,6758,6759,6760,6761,6762,6763})
Summary: <www-client/chromium-46.0.2490.71: multiple vulnerabilities (CVE-2015-{6755,6...
Status: RESOLVED FIXED
Alias: CVE-2015-6755
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-15 07:05 UTC by Agostino Sarubbo
Modified: 2016-03-12 12:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-10-15 07:05:34 UTC
From ${URL} :


TUESDAY, OCTOBER 13, 2015

Stable Channel Update
The Chrome team is delighted to announce the promotion of Chrome 46 to the stable channel for Windows, Mac and Linux.


Chrome 46.0.2490.71 contains a number of fixes and improvements -- a list of changes is available in the log. Watch out for upcoming Chrome and Chromium blog posts about new features and big efforts delivered in 46.


Security Fixes and Rewards

 Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.

 This update includes 24 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information. 

 [$8837][519558] High CVE-2015-6755: Cross-origin bypass in Blink. Credit to Mariusz Mlynski.
[$6337][507316] High CVE-2015-6756: Use-after-free in PDFium. Credit to anonymous.
[$3500][529520] High CVE-2015-6757: Use-after-free in ServiceWorker. Credit to Collin Payne.
[$3000][522131] High CVE-2015-6758: Bad-cast in PDFium. Credit to Atte Kettunen of OUSPG.
[$1000][514076] Medium CVE-2015-6759: Information leakage in LocalStorage. Credit to Muneaki Nishimura (nishimunea).
[$1000][519642] Medium CVE-2015-6760: Improper error handling in libANGLE. Credit to Ronald Crane, an independent security researcher.
[$500][447860 & 532967] Medium CVE-2015-6761: Memory corruption in FFMpeg. Credit to Aki Helin of OUSPG and Khalil Zhani.
[$500][512678] Low CVE-2015-6762: CORS bypass via CSS fonts. Credit to Muneaki Nishimura (nishimunea).

 We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel. The total value of additional rewards and their recipients will updated here when all reports 
have gone through the reward panel.

 As usual, our ongoing internal security work was responsible for a wide range of fixes:
[542517] CVE-2015-6763: Various fixes from internal audits, fuzzing and other initiatives.
Multiple vulnerabilities in V8 fixed at the tip of the 4.6 branch (currently 4.6.85.23).


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Mike Gilbert gentoo-dev 2015-10-15 20:05:24 UTC
chromium-46.0.2490.71 is in the tree and has been build tested. I am away from my workstation so I have not run tested it.

Should be ok to stabilize it so long as some run time testing is done during that process.
Comment 2 Richard Freeman gentoo-dev 2015-10-16 02:21:36 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2015-10-19 11:04:36 UTC
x86 stable and cleanup done.
Comment 4 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-10 12:08:55 UTC
Added to existing GLSA.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-03-12 12:16:19 UTC
This issue was resolved and addressed in
 GLSA 201603-09 at https://security.gentoo.org/glsa/201603-09
by GLSA coordinator Kristian Fiskerstrand (K_F).